Create Bank
https://bank.dattaremit.com/api/banksRequires a bank-scoped key.
Creates a bank.
## Bank Type
Bank's can be created in either sandbox or production mode. Sandbox Banks will not transact in real fiat dollars or cryptocurrencies.
Via the API, only sandbox banks can be created. In order to enable a production bank please contact [Support](mailto:[email protected]).
Required scope: banks:execute
Body Params
requiredtypesandboxrequiredThe type of bank.
namestringrequiredThe name of the bank.
supported_trading_symbolsstring[]requiredThe trading symbols supported by the bank.
supported_payout_symbolsobject[]The payout symbols supported by the bank. This is not yet supported and should be nil or empty.
supported_fiat_account_assetsstring[]requiredThe fiat account assets supported by the bank.
supported_country_codesstring[]requiredThe country codes supported by the bank.
featuresstring[]requiredThe features supported by the bank.
cors_allowed_originsstring[]The list of allowed CORS origin URIs.
Responses
201Bank created
401Unauthorized
403Forbidden
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/banks \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "sandbox",
"name": "string",
"supported_trading_symbols": [
"string"
],
"supported_fiat_account_assets": [
"string"
],
"supported_country_codes": [
"string"
],
"features": [
"attestation_identity_records"
],
"supported_payout_symbols": [
{
"primary_asset": "string",
"counter_asset": "string",
"country_code": "string",
"participants_type": "C2C",
"route": "bank_account"
}
],
"cors_allowed_origins": [
"string"
]
}'Response
Bank created
{
"guid": "string",
"organization_guid": "string",
"name": "string",
"type": "string",
"supported_trading_symbols": [
"string"
],
"supported_payout_symbols": [
{
"symbol": "string",
"country_code": "string",
"participants_type": "string",
"route": "string"
}
],
"supported_fiat_account_assets": [
"string"
],
"supported_country_codes": [
"string"
],
"features": [
"string"
],
"cors_allowed_origins": [
"string"
],
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z"
}